Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.interaction.campaign.scenario
Class ScenarioIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ScenarioID>
              com.bea.portal.tools.interaction.campaign.scenario.ScenarioIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class ScenarioIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ScenarioID>

Builds and parses `ScenarioID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`ScenarioIDBuilder()` Constructor.

Method Summary
`ScenarioID` | `createResourceID()` Create the `ScenarioID`.
`CampaignID` | `getCampaignID()` Get the `CampaignID`.
`String` | `getScenarioName()` Get the name of the scenario.
`ScenarioIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`ScenarioIDBuilder` | `setCampaignID(CampaignID campaignID)` Change the `CampaignID`.
`ScenarioIDBuilder` | `setScenarioName(String scenarioName)` Change the name of the scenario.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScenarioIDBuilder

    public ScenarioIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public ScenarioIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ScenarioID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getCampaignID

    public CampaignID getCampaignID()

  Get the `CampaignID`.

  Returns
    the `CampaignID`

### setCampaignID

    public ScenarioIDBuilder setCampaignID(CampaignID campaignID)

  Change the `CampaignID`.

  Parameters
    `campaignID` - the `CampaignID`
  Returns
    this `ScenarioIDBuilder`

### getScenarioName

    public String getScenarioName()

  Get the name of the scenario.

  Returns
    the name of the scenario

### setScenarioName

    public ScenarioIDBuilder setScenarioName(String scenarioName)

  Change the name of the scenario.

  Parameters
    `scenarioName` - the name of the scenario
  Returns
    this `ScenarioIDBuilder`

### createResourceID

    public ScenarioID createResourceID()

  Create the `ScenarioID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<ScenarioID>`
  Returns
    the `ScenarioID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.